LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 11-06-2009, 01:22 AM   #1
slackd
Member
 
Registered: Sep 2009
Location: Bhubaneswar, India
Distribution: Slackware, Ubuntu, Windows
Posts: 260
Blog Entries: 1

Rep: Reputation: 60
Thumbs up KDE 4.3.3 in -Current


KDE updated to maintenance release 4.3.3 in slackware current!

Quote:
Fri Nov 6 00:22:35 UTC 2009
a/less-418-x86_64-4.txz: Rebuilt.
Patched lesspipe.sh to handle files of the form *.{1,2,3,4,5,6,7,8,9,n}.gz
that are not gzipped *roff. Thanks to Mark Post.
kde/kdeaccessibility-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeadmin-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeartwork-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebase-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebase-runtime-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebase-workspace-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebindings-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeedu-4.3.3-x86_64-1.txz: Upgraded.
kde/kdegames-4.3.3-x86_64-1.txz: Upgraded.
kde/kdegraphics-4.3.3-x86_64-1.txz: Upgraded.
kde/kdelibs-4.3.3-x86_64-1.txz: Upgraded.
kde/kdelibs-experimental-4.3.3-x86_64-1.txz: Upgraded.
kde/kdemultimedia-4.3.3-x86_64-1.txz: Upgraded.
kde/kdenetwork-4.3.3-x86_64-1.txz: Upgraded.
kde/kdepim-4.3.3-x86_64-1.txz: Upgraded.
kde/kdepim-runtime-4.3.3-x86_64-1.txz: Upgraded.
kde/kdepimlibs-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeplasma-addons-4.3.3-x86_64-1.txz: Upgraded.
kde/kdesdk-4.3.3-x86_64-1.txz: Upgraded.
kde/kdetoys-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeutils-4.3.3-x86_64-1.txz: Upgraded.
kde/kdevelop-3.9.96-x86_64-1.txz: Upgraded.
kde/kdevplatform-0.9.96-x86_64-1.txz: Upgraded.
kde/kdewebdev-4.3.3-x86_64-1.txz: Upgraded.
kde/koffice-2.0.91-x86_64-1.txz: Upgraded.
kde/oxygen-icons-4.3.3-x86_64-1.txz: Upgraded.
kdei/*: Upgraded.
l/gst-plugins-base-0.10.25-x86_64-1.txz: Upgraded.
l/gst-plugins-good-0.10.16-x86_64-1.txz: Added.
l/gstreamer-0.10.25-x86_64-1.txz: Upgraded.
l/jre-6u17-x86_64-1.txz: Upgraded.
Upgraded to Java(TM) 2 Platform Standard Edition Runtime Environment
Version 6.0 update 17.
l/phonon-4.3.1-x86_64-1.txz: Removed.
l/qca-2.0.2-x86_64-1.txz: Upgraded.
l/qt-4.5.3_063bded-x86_64-2.txz: Rebuilt.
Recompiled to add the included version of the Phonon multimedia framework.
l/strigi-0.7.0-x86_64-1.txz: Upgraded.
x/dejavu-fonts-ttf-2.30-noarch-1.txz: Upgraded.
extra/jdk-6/jdk-6u17-x86_64-1.txz: Upgraded.
Upgraded to Java(TM) 2 Platform Standard Edition Development Kit
Version 6.0 update 17.
+--------------------------+
 
Old 11-06-2009, 01:23 AM   #2
slackd
Member
 
Registered: Sep 2009
Location: Bhubaneswar, India
Distribution: Slackware, Ubuntu, Windows
Posts: 260
Blog Entries: 1

Original Poster
Rep: Reputation: 60
Talking

and i just updated to KDE 4.3.3, its working fine as usual. I also updated the rest of the -current packages.

Thanks Pat!
 
Old 11-06-2009, 01:46 AM   #3
~sHyLoCk~
Senior Member
 
Registered: Jul 2008
Location: /dev/null
Posts: 1,173
Blog Entries: 12

Rep: Reputation: 129Reputation: 129
Well it's a maintenance release and has no appearance change from 4.3.2. For a list of fixes that took place in this version see this. It's smoother and feels a bit faster but hard to tell. Been using it since 3rd Nov.

Last edited by ~sHyLoCk~; 11-06-2009 at 01:49 AM.
 
Old 11-06-2009, 01:50 AM   #4
rvdboom
Member
 
Registered: Jul 2007
Distribution: Slackware
Posts: 183

Rep: Reputation: 23
What is the reason from moving to a separate phonon to the one within Qt?
 
Old 11-06-2009, 03:40 AM   #5
JokerBoy
Member
 
Registered: Sep 2009
Posts: 140

Rep: Reputation: 23
the one within qt it`s not so good :|

The audio playback device <name-of-the-sound-device> does not work.
Falling back to default

http://punctweb.ro/pub/slackware64-c...1-x86_64-1.txz [src]

Last edited by JokerBoy; 11-06-2009 at 04:56 AM. Reason: link added to phonon
 
Old 11-06-2009, 04:26 AM   #6
sahko
Senior Member
 
Registered: Sep 2008
Distribution: Slackware
Posts: 1,041

Rep: Reputation: Disabled
Quote:
Originally Posted by JokerBoy View Post
the one within qt it`s not so good :|

The audio playback device <name-of-the-sound-device> does not work.
Falling back to default
Thats because only the gstreamer backend is built in QT.
I don't know the rationale behind this though.

Code:
usr/lib64/qt/plugins/phonon_backend/
usr/lib64/qt/plugins/phonon_backend/libphonon_gstreamer.so
I think there should be a libphonon_xine.so there too but not sure.

BTW, those of you who already upgraded, do you get anything in the backend selection dialog in System Settings/Multimedia ?
edit3: Actually to use the xine backend i think the seperate phonon package is still needed. Otherwise you just get gstreamer.

Last edited by sahko; 11-06-2009 at 04:50 AM.
 
Old 11-06-2009, 04:46 AM   #7
BrZ
Member
 
Registered: Apr 2009
Distribution: Slackware
Posts: 496

Rep: Reputation: 81
That was fast. Thanks.
 
Old 11-06-2009, 05:11 AM   #8
JokerBoy
Member
 
Registered: Sep 2009
Posts: 140

Rep: Reputation: 23
Angry

Quote:
Originally Posted by sahko View Post
BTW, those of you who already upgraded, do you get anything in the backend selection dialog in System Settings/Multimedia ?
http://img682.imageshack.us/img682/4708/snapshot1u.png
 
Old 11-06-2009, 05:15 AM   #9
slackd
Member
 
Registered: Sep 2009
Location: Bhubaneswar, India
Distribution: Slackware, Ubuntu, Windows
Posts: 260
Blog Entries: 1

Original Poster
Rep: Reputation: 60
Quote:
Originally Posted by JokerBoy View Post
i get the same thing.
 
Old 11-06-2009, 05:19 AM   #10
~sHyLoCk~
Senior Member
 
Registered: Jul 2008
Location: /dev/null
Posts: 1,173
Blog Entries: 12

Rep: Reputation: 129Reputation: 129
And you guys have phonon-backend installed?

Quote:
l/phonon-4.3.1-x86_64-1.txz: Removed.
 
Old 11-06-2009, 05:22 AM   #11
slackd
Member
 
Registered: Sep 2009
Location: Bhubaneswar, India
Distribution: Slackware, Ubuntu, Windows
Posts: 260
Blog Entries: 1

Original Poster
Rep: Reputation: 60
Quote:
Originally Posted by ~sHyLoCk~ View Post
And you guys have phonon-backend installed?
i removed the package before upgrading to the new KDE, as i read the changelog.
 
Old 11-06-2009, 05:31 AM   #12
slackd
Member
 
Registered: Sep 2009
Location: Bhubaneswar, India
Distribution: Slackware, Ubuntu, Windows
Posts: 260
Blog Entries: 1

Original Poster
Rep: Reputation: 60
however, this is after installing the phonon package.
the error of fallback to default device does not arise anymore.

Code:
[sam@slackd] >$ locate phonon|grep xine
/usr/lib64/kde4/kcm_phononxine.so
/usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
/usr/share/kde4/services/phononbackends/xine.desktop
/usr/share/kde4/services/kcm_phononxine.desktop
/usr/share/icons/oxygen/64x64/apps/phonon-xine.png
/usr/share/icons/oxygen/22x22/apps/phonon-xine.png
/usr/share/icons/oxygen/128x128/apps/phonon-xine.png
/usr/share/icons/oxygen/scalable/apps/phonon-xine.svgz
/usr/share/icons/oxygen/32x32/apps/phonon-xine.png
/usr/share/icons/oxygen/48x48/apps/phonon-xine.png
/usr/share/icons/oxygen/16x16/apps/phonon-xine.png
Attached Images
File Type: jpeg snapshot26.jpeg (55.8 KB, 51 views)

Last edited by slackd; 11-06-2009 at 05:45 AM.
 
Old 11-06-2009, 05:31 AM   #13
JokerBoy
Member
 
Registered: Sep 2009
Posts: 140

Rep: Reputation: 23
i did a fresh installation, so no, it`s not installed.
 
Old 11-06-2009, 06:03 AM   #14
tuksedara
LQ Newbie
 
Registered: Aug 2006
Posts: 1

Rep: Reputation: 0
how to get slackware packages? site seem down
 
Old 11-06-2009, 06:06 AM   #15
JokerBoy
Member
 
Registered: Sep 2009
Posts: 140

Rep: Reputation: 23
Smile

what site? slackware dot com ? it`s working!

a good mirror is: ftp://ftp.slackware.at/slackware64-current
 
  


Reply

Tags
kde, kde4


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
KDE 4.3.2 is available on Slackware-current Didier Spaier Slackware 3 10-23-2009 07:04 AM
I want to go back to KDE-3.5.10 the current KDE stinks and almost nothing about it is rob.rice Slackware 11 07-10-2009 02:50 AM
KDE 3.5 -> 4.2 Current Ginger Slackware 37 03-22-2009 01:18 PM
KDE 3.5.8 in -current Daedra Slackware 1 10-18-2007 07:10 AM
kde 3.5.1 in Slackware/current BCarey Slackware 2 02-26-2006 06:57 PM


All times are GMT -5. The time now is 04:37 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration